Skip to main content
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
metadata
Get single catalog metadata counts
curl --request GET \
  --url https://api.example.com/api/metastore/catalogs/{catalog_name}/metadata \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "schema_count": 123,
  "table_count": 123,
  "view_count": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalog_name
string
required

Name of the catalog.

Response

Catalog metadata retrieved successfully.

name
string
required

Name of the catalog

schema_count
integer | null

Number of schemas in the catalog

table_count
integer | null

Number of tables in the catalog (excluding views)

view_count
integer | null

Number of views in the catalog